Skip to content
Back to top
View this page

# InputMediaLocation

class telegram.InputMediaLocation(latitude, longitude, horizontal_accuracy=None, *, api_kwargs=None)

  Bases: `telegram.TelegramObject`

  Represents a location to be sent.

  Use In

  `telegram.Bot.send_poll()`

  Available In

  `telegram.InputPollOption.media`

  Added in version 22.8.

  Parameters:

    - latitude (`float`) – Latitude of the location.

    - longitude (`float`) – Longitude of the location.

    - horizontal_accuracy (`float`, optional) – The radius of uncertainty for the location, measured in meters; 0-`1500`.

  type

    `'location'`.

    Type:

      `str`

  latitude

    Latitude of the location.

    Type:

      `float`

  longitude

    Longitude of the location.

    Type:

      `float`

  horizontal_accuracy

    Optional. The radius of uncertainty for the location, measured in meters; 0-`1500`.

    Type:

      `float`